package com.tencent.mm.plugin.webview.stub;

import android.content.Intent;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.webview.stub.b.a;
import java.util.List;
import java.util.Map;

class d$a$a implements d {
    private IBinder mRemote;

    d$a$a(IBinder iBinder) {
        this.mRemote = iBinder;
    }

    public final IBinder asBinder() {
        return this.mRemote;
    }

    public final boolean afj(String str) {
        boolean z = true;
        AppMethodBeat.i(7235);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(1, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() == 0) {
                z = false;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7235);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7235);
        }
    }

    public final String mJ(String str) {
        AppMethodBeat.i(7236);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(2, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7236);
        }
    }

    public final boolean mY(String str) {
        boolean z = false;
        AppMethodBeat.i(7237);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(3, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7237);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7237);
        }
    }

    public final boolean nI(String str) {
        boolean z = false;
        AppMethodBeat.i(7238);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(4, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7238);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7238);
        }
    }

    public final boolean mZ(String str) {
        boolean z = false;
        AppMethodBeat.i(7239);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(5, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7239);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7239);
        }
    }

    public final String aff(String str) {
        AppMethodBeat.i(7240);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(6, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7240);
        }
    }

    public final boolean Mn() {
        boolean z = false;
        AppMethodBeat.i(7241);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(7, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7241);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7241);
        }
    }

    public final boolean isSDCardAvailable() {
        boolean z = false;
        AppMethodBeat.i(7242);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(8, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7242);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7242);
        }
    }

    public final boolean cZd() {
        boolean z = false;
        AppMethodBeat.i(7243);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(9, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7243);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7243);
        }
    }

    public final boolean Ze() {
        boolean z = false;
        AppMethodBeat.i(7244);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(10, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7244);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7244);
        }
    }

    public final int gw(int i, int i2) {
        AppMethodBeat.i(7245);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            obtain.writeInt(i2);
            this.mRemote.transact(11, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7245);
        }
    }

    public final void gx(int i, int i2) {
        AppMethodBeat.i(7246);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            obtain.writeInt(i2);
            this.mRemote.transact(12, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7246);
        }
    }

    public final String bF(int i, String str) {
        AppMethodBeat.i(7247);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            obtain.writeString(str);
            this.mRemote.transact(13, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7247);
        }
    }

    public final void a(int i, Bundle bundle, int i2) {
        AppMethodBeat.i(7248);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            obtain.writeInt(i2);
            this.mRemote.transact(14, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7248);
        }
    }

    public final b Z(Bundle bundle) {
        AppMethodBeat.i(7249);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(15, obtain, obtain2, 0);
            obtain2.readException();
            b F = a.F(obtain2.readStrongBinder());
            return F;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7249);
        }
    }

    public final boolean aa(Bundle bundle) {
        boolean z = true;
        AppMethodBeat.i(7250);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(16, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() == 0) {
                z = false;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7250);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7250);
        }
    }

    public final int afm(String str) {
        AppMethodBeat.i(7251);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(17, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7251);
        }
    }

    public final void favEditTag() {
        AppMethodBeat.i(7252);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(18, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7252);
        }
    }

    public final boolean s(int i, Bundle bundle) {
        boolean z = true;
        AppMethodBeat.i(7253);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(19, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() == 0) {
                z = false;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7253);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7253);
        }
    }

    public final boolean x(long j, String str) {
        boolean z = false;
        AppMethodBeat.i(7254);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeLong(j);
            obtain.writeString(str);
            this.mRemote.transact(20, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7254);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7254);
        }
    }

    public final void afn(String str) {
        AppMethodBeat.i(7255);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(21, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7255);
        }
    }

    public final boolean aeD() {
        boolean z = false;
        AppMethodBeat.i(7256);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(22, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7256);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7256);
        }
    }

    public final List<String> aeC() {
        AppMethodBeat.i(7257);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(23, obtain, obtain2, 0);
            obtain2.readException();
            List<String> createStringArrayList = obtain2.createStringArrayList();
            return createStringArrayList;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7257);
        }
    }

    public final void k(int i, List<String> list) {
        AppMethodBeat.i(7258);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            obtain.writeStringList(list);
            this.mRemote.transact(24, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7258);
        }
    }

    public final boolean a(String str, boolean z, Bundle bundle) {
        boolean z2 = true;
        AppMethodBeat.i(7259);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeInt(z ? 1 : 0);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(25, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() == 0) {
                z2 = false;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7259);
            return z2;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7259);
        }
    }

    public final String afg(String str) {
        AppMethodBeat.i(7260);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(26, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7260);
        }
    }

    public final void dB(String str, int i) {
        AppMethodBeat.i(7261);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeInt(i);
            this.mRemote.transact(27, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7261);
        }
    }

    public final void bG(String str, boolean z) {
        int i = 0;
        AppMethodBeat.i(7262);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            if (z) {
                i = 1;
            }
            obtain.writeInt(i);
            this.mRemote.transact(28, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7262);
        }
    }

    public final boolean dq(String str) {
        boolean z = false;
        AppMethodBeat.i(7263);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(29, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7263);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7263);
        }
    }

    public final void j(int i, Bundle bundle) {
        AppMethodBeat.i(7264);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(30, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7264);
        }
    }

    public final Bundle p(int i, Bundle bundle) {
        AppMethodBeat.i(7265);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            Bundle bundle2;
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(31, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                bundle2 = (Bundle) Bundle.CREATOR.createFromParcel(obtain2);
            } else {
                bundle2 = null;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7265);
            return bundle2;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7265);
        }
    }

    public final void i(String str, boolean z, int i) {
        int i2 = 0;
        AppMethodBeat.i(7266);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            if (z) {
                i2 = 1;
            }
            obtain.writeInt(i2);
            obtain.writeInt(i);
            this.mRemote.transact(32, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7266);
        }
    }

    public final Bundle Ja(int i) {
        AppMethodBeat.i(7267);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            Bundle bundle;
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            this.mRemote.transact(33, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                bundle = (Bundle) Bundle.CREATOR.createFromParcel(obtain2);
            } else {
                bundle = null;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7267);
            return bundle;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7267);
        }
    }

    public final boolean Jb(int i) {
        boolean z = false;
        AppMethodBeat.i(7268);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            this.mRemote.transact(34, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7268);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7268);
        }
    }

    public final boolean a(String str, String str2, String str3, Bundle bundle, Bundle bundle2, int i) {
        boolean z = true;
        AppMethodBeat.i(7269);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeString(str2);
            obtain.writeString(str3);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            if (bundle2 != null) {
                obtain.writeInt(1);
                bundle2.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            obtain.writeInt(i);
            this.mRemote.transact(35, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() == 0) {
                z = false;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7269);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7269);
        }
    }

    public final void L(String str, String str2, int i) {
        AppMethodBeat.i(7270);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeString(str2);
            obtain.writeInt(i);
            this.mRemote.transact(36, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7270);
        }
    }

    public final void a(String str, Bundle bundle, int i) {
        AppMethodBeat.i(7271);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            obtain.writeInt(i);
            this.mRemote.transact(37, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7271);
        }
    }

    public final void afh(String str) {
        AppMethodBeat.i(7272);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(38, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7272);
        }
    }

    public final String afi(String str) {
        AppMethodBeat.i(7273);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(39, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7273);
        }
    }

    public final void ao(int i, int i2, int i3) {
        AppMethodBeat.i(7274);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            obtain.writeInt(i2);
            obtain.writeInt(i3);
            this.mRemote.transact(40, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7274);
        }
    }

    public final void a(e eVar, int i) {
        AppMethodBeat.i(7275);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeStrongBinder(eVar != null ? eVar.asBinder() : null);
            obtain.writeInt(i);
            this.mRemote.transact(41, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7275);
        }
    }

    public final void Jc(int i) {
        AppMethodBeat.i(7276);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            this.mRemote.transact(42, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7276);
        }
    }

    public final String[] cZe() {
        AppMethodBeat.i(7277);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(43, obtain, obtain2, 0);
            obtain2.readException();
            String[] createStringArray = obtain2.createStringArray();
            return createStringArray;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7277);
        }
    }

    public final String cZf() {
        AppMethodBeat.i(7278);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(44, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7278);
        }
    }

    public final String aek(String str) {
        AppMethodBeat.i(7279);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(45, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7279);
        }
    }

    public final String cZg() {
        AppMethodBeat.i(7280);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(46, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7280);
        }
    }

    public final String afk(String str) {
        AppMethodBeat.i(7281);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(47, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7281);
        }
    }

    public final Map cZi() {
        AppMethodBeat.i(7282);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(48, obtain, obtain2, 0);
            obtain2.readException();
            Map readHashMap = obtain2.readHashMap(getClass().getClassLoader());
            return readHashMap;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7282);
        }
    }

    public final String hf(String str, String str2) {
        AppMethodBeat.i(7283);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeString(str2);
            this.mRemote.transact(49, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7283);
        }
    }

    public final void afl(String str) {
        AppMethodBeat.i(7284);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(50, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7284);
        }
    }

    public final String dC(String str, int i) {
        AppMethodBeat.i(7285);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeInt(i);
            this.mRemote.transact(51, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7285);
        }
    }

    public final String getLanguage() {
        AppMethodBeat.i(7286);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(52, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7286);
        }
    }

    public final String cZh() {
        AppMethodBeat.i(7287);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(53, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7287);
        }
    }

    public final int cZj() {
        AppMethodBeat.i(7288);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(54, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7288);
        }
    }

    public final int cZk() {
        AppMethodBeat.i(7289);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(55, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7289);
        }
    }

    public final void cZl() {
        AppMethodBeat.i(7290);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(56, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7290);
        }
    }

    public final void cZm() {
        AppMethodBeat.i(7291);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(57, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7291);
        }
    }

    public final void Jd(int i) {
        AppMethodBeat.i(7292);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            this.mRemote.transact(58, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7292);
        }
    }

    public final void Je(int i) {
        AppMethodBeat.i(7293);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            this.mRemote.transact(59, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7293);
        }
    }

    public final void IP(int i) {
        AppMethodBeat.i(7294);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            this.mRemote.transact(60, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7294);
        }
    }

    public final void dD(String str, int i) {
        AppMethodBeat.i(7295);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeInt(i);
            this.mRemote.transact(61, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7295);
        }
    }

    public final boolean cZn() {
        boolean z = false;
        AppMethodBeat.i(7296);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(62, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7296);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7296);
        }
    }

    public final String afp(String str) {
        AppMethodBeat.i(7297);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(63, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7297);
        }
    }

    public final boolean cZp() {
        boolean z = false;
        AppMethodBeat.i(7298);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(64, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7298);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7298);
        }
    }

    public final boolean cZo() {
        boolean z = false;
        AppMethodBeat.i(7299);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(65, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7299);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7299);
        }
    }

    public final boolean cZs() {
        boolean z = false;
        AppMethodBeat.i(7300);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(66, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                z = true;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7300);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7300);
        }
    }

    public final void a(String str, int[] iArr, int i, int i2) {
        AppMethodBeat.i(7301);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeIntArray(iArr);
            obtain.writeInt(i);
            obtain.writeInt(i2);
            this.mRemote.transact(67, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7301);
        }
    }

    public final void afo(String str) {
        AppMethodBeat.i(7302);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            this.mRemote.transact(68, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7302);
        }
    }

    public final void a(String str, String str2, String str3, int i, int i2, Bundle bundle) {
        AppMethodBeat.i(7303);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeString(str);
            obtain.writeString(str2);
            obtain.writeString(str3);
            obtain.writeInt(i);
            obtain.writeInt(i2);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(69, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7303);
        }
    }

    public final Bundle g(int i, Bundle bundle) {
        AppMethodBeat.i(7304);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            Bundle bundle2;
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(70, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() != 0) {
                bundle2 = (Bundle) Bundle.CREATOR.createFromParcel(obtain2);
            } else {
                bundle2 = null;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7304);
            return bundle2;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7304);
        }
    }

    public final void aB(Intent intent) {
        AppMethodBeat.i(7305);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            if (intent != null) {
                obtain.writeInt(1);
                intent.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(71, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7305);
        }
    }

    public final void J(int i, String str, String str2) {
        AppMethodBeat.i(7306);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            obtain.writeString(str);
            obtain.writeString(str2);
            this.mRemote.transact(72, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7306);
        }
    }

    public final List<String> cZq() {
        AppMethodBeat.i(7307);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(73, obtain, obtain2, 0);
            obtain2.readException();
            List<String> createStringArrayList = obtain2.createStringArrayList();
            return createStringArrayList;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7307);
        }
    }

    public final void a(Bundle bundle, int i) {
        AppMethodBeat.i(7308);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            obtain.writeInt(i);
            this.mRemote.transact(74, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7308);
        }
    }

    public final int cZr() {
        AppMethodBeat.i(7309);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(75, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7309);
        }
    }

    public final String[] cZt() {
        AppMethodBeat.i(7310);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            this.mRemote.transact(76, obtain, obtain2, 0);
            obtain2.readException();
            String[] createStringArray = obtain2.createStringArray();
            return createStringArray;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7310);
        }
    }

    public final void r(int i, Bundle bundle) {
        AppMethodBeat.i(7311);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.webview.stub.WebViewStub_AIDL");
            obtain.writeInt(i);
            if (bundle != null) {
                obtain.writeInt(1);
                bundle.writeToParcel(obtain, 0);
            } else {
                obtain.writeInt(0);
            }
            this.mRemote.transact(77, obtain, obtain2, 0);
            obtain2.readException();
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(7311);
        }
    }
}
